#ifndef _TICKYPIP_DIRECTION_H_
#define _TICKYPIP_DIRECTION_H_

typedef enum
{
	NORTH = 0,
	EAST,
	SOUTH,
	WEST,
	NUM_DIRECTIONS

} Direction;

#define DIR_OPPOSITE(d) ((d   == NORTH ? SOUTH : \
						  (d  == EAST ? WEST  : \
						   (d == SOUTH ? NORTH : EAST))))

#define DIR_ROTATE_RIGHT(d) \
	((Direction)(d + 1 == NUM_DIRECTIONS ? NORTH : d + 1))

#define DIR_ROTATE_LEFT(d) \
	 ((Direction)(d == NORTH ? WEST : d - 1))

#endif /* _TICKYPIP_DIRECTION_H_ */
