#ifndef _TICKYPIP_LEVELSDIALOG_H_
#define _TICKYPIP_LEVELSDIALOG_H_

#include <qdialog.h>
#include <qlistview.h>
#include <qvector.h>

class LevelsDialog : public QDialog
{
	Q_OBJECT

	public:
		LevelsDialog(QWidget *parent = NULL, const char *name = NULL,
					 bool modal = TRUE, WFlags f = 0);

		const QString getSelectedFilename() const;

	protected:
		void loadLevels();

	protected slots:
		void selectionChanged(QListViewItem *item);
		void doubleClicked(QListViewItem *item);

	private:
		QListView *listview;
		QStringList filenames;
		QString curFilename;
};

#endif /* _TICKYPIP_LEVELSDIALOG_H_ */
