TEMPLATE = app
TARGET   = tickypip
VERSION  = 0.1.0
#CONFIG   = qt warn_on debug
CONFIG   = qt warn_on release

HEADERS = \
	src/BlankCell.h \
	src/Board.h \
	src/BorderLayout.h \
	src/Cell.h \
	src/ComputerCell.h \
	src/ConnectorCell.h \
	src/Direction.h \
	src/Level.h \
	src/LevelsDialog.h \
	src/NetWalkLevel.h \
	src/QTPBoard.h \
	src/ServerCell.h \
	src/TPLevel.h \
	src/Tickypip.h \
	src/UpdateListener.h \
	src/base.h

SOURCES = \
	src/BlankCell.cpp \
	src/Board.cpp \
	src/BorderLayout.cpp \
	src/Cell.cpp \
	src/ComputerCell.cpp \
	src/ConnectorCell.cpp \
	src/Level.cpp \
	src/LevelsDialog.cpp \
	src/NetWalkLevel.cpp \
	src/QTPBoard.cpp \
	src/ServerCell.cpp \
	src/TPLevel.cpp \
	src/Tickypip.cpp \
	src/main.cpp

DISTFILES = \
	images/computer.png \
	images/computer_active.png \
	images/server_bottom.png \
	images/server_top.png \
	levels/FORMAT \
	levels/FORMAT.NetWalk \
	levels/default.dat

INCLUDEPATH += $(QPEDIR)/include
DEPENDPATH  += $(QPEDIR)/include
DEFINES     += LOCAL_COMPILE
LIBS        += -lqpe
OBJECTS_DIR  = obj
MOC_DIR      = moc
TRANSLATIONS = i18n/de/tickypip.ts
