#ifndef _TICKYPIP_NETWALKLEVEL_H_
#define _TICKYPIP_NETWALKLEVEL_H_

#include "Level.h"

class QTextStream;
class ServerCell;

class NetWalkLevel : public Level
{
	public:
		NetWalkLevel(Board *board = NULL);
		NetWalkLevel(QString &name, Board *board = NULL);

		bool setupLevel(size_t level);

	protected:
		unsigned long getRecordOffset();
		bool readHeader();
		bool isValidFormat();
		void addCell(char cellType, size_t x, size_t y);

	private:
		ServerCell *topServerCell;
};

#endif /* _TICKYPIP_NETWALKLEVEL_H_ */
