#ifndef _TICKYPIP_H_
#define _TICKYPIP_H_

#include "base.h"

#include <qcombobox.h>
#include <qlabel.h>
#include <qvariant.h>
#include <qwidget.h>

class QTPBoard;

class Tickypip: public QWidget
{
	Q_OBJECT

	public:
		Tickypip(QWidget *parent = 0, const char *name = 0, WFlags fl = 0);
		~Tickypip();

		void reset();

		void levelCompleted();

		void incMovesCount();

	protected slots:
		void levelChanged(int level);
		void nextLevel();
		bool selectLevelPack();

	private:
		QTPBoard *board;
		QLabel *movesLabel;
		QPushButton *nextButton;
		QComboBox *levelsCombo;
};

#endif /* _TICKYPIP_H_ */
